Subject: N900 device tree conversion: how to do first step

From: [email-masked] (Tony Lindgren)
Date: Mon, 17 Jun 2013 04:10:32 -0700

* Pavel Machek <[email-masked]> [130614 14:34]:
> > * Pavel Machek <[email-masked]> [130613 16:14]:
> > 
> > No, there really are two instances of mux registers even on omap3,
> > but I missed that earlier while reading the docs, and with the legacy
> > mux framework it does not matter which mux domain it is. But it
> > matters for pinctrl-single as it ioremaps the ranges separately.
> 
> Yes, you are right, with debugging prints it was easy to fix.

OK cool.
 
> > This is not a good way of doing muxing, hogging all the pins under
> > omap3_pmx_core will make it impossible to unload pinctrl-single
> > as a module, which is not nice for distros and developers.
> 
> Does omap4 do it correctly? I don't see how that works :-(.

Just group the pins for each device using them. You can do:

$ grep hsmmc1 /sys/kernel/debug/omap_mux/board/core

And then you get the mmc1 pin settings that you can place under
&mmc1 entry in your board specific .dts file.
 
> Anyway... here's my current version, and thanks for all the help. I
> guess I'll need to figure out clocks next, because I'd really like to
> have video going on device.

Well DSS is still using pdata based init because of the DT bindings
are not ready yet.

Regards,

Tony